﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMSC_PROEXECSPLITENTRY') 
 CREATE TABLE T_PMSC_PROEXECSPLITENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSPLITUNDERTAKEORGID BIGINT DEFAULT 0 NOT NULL,
FSPLITUNDERTAKEPERIOD DATETIME,
FSPLITUSEDAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSPLITUNDERTAKEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSPLITREMINDAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSPLITPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL,
FSPLITPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL,
FSPLITPROID BIGINT DEFAULT 0 NOT NULL,
FSPLITCOMMON VARCHAR(510) DEFAULT ' ' NOT NULL,
FSPLITOUTITEMNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSPLITOUTITEMID BIGINT DEFAULT 0 NOT NULL,
FSPLITPROBUDGETITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMSC_PROEXECUSEENTRY') 
 CREATE TABLE T_PMSC_PROEXECUSEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FOUTBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FOUTPROBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FOUTBUDGETAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOUTUSEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOUTREMAINAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOUTREMAINRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMSC_BUDGETENTRY' AND KSQL_COL_NAME ='FUNDERTAKEORGID') 
 ALTER TABLE T_PMSC_BUDGETENTRY ADD (FUNDERTAKEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMSC_BUDGETENTRY' AND KSQL_COL_NAME ='FUNDERTAKEPERIOD') 
 ALTER TABLE T_PMSC_BUDGETENTRY ADD (FUNDERTAKEPERIOD DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMSC_BUDGETENTRY' AND KSQL_COL_NAME ='FENTRYPRONAME') 
 ALTER TABLE T_PMSC_BUDGETENTRY ADD (FENTRYPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMSC_BUDGETENTRY' AND KSQL_COL_NAME ='FENTRYPRONUMBER') 
 ALTER TABLE T_PMSC_BUDGETENTRY ADD (FENTRYPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMSC_BUDGETENTRY' AND KSQL_COL_NAME ='FENTRYPROID') 
 ALTER TABLE T_PMSC_BUDGETENTRY ADD (FENTRYPROID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMSC_BUDGETENTRY' AND KSQL_COL_NAME ='FENTRYCOMMON') 
 ALTER TABLE T_PMSC_BUDGETENTRY ADD (FENTRYCOMMON VARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMSC_PROJECTEXECSTATUS' AND KSQL_COL_NAME ='FSPLITTYPE') 
 ALTER TABLE T_PMSC_PROJECTEXECSTATUS ADD (FSPLITTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMSC_PROJECTEXECSTATUS' AND KSQL_COL_NAME ='FPROJECTAPPLYDATE') 
 ALTER TABLE T_PMSC_PROJECTEXECSTATUS ADD (FPROJECTAPPLYDATE DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMSC_table.sql **/
